package com.jwipc.sys.client;

import com.jwipc.sys.client.dto.CompanyDTO;

import java.io.Serializable;
import java.util.Collection;
import java.util.List;

/**
 * <p> </p>
 *
 * @author ZhangJie
 * @version 1.0
 * @since JDK 1.8
 */
public interface CompanyClient {

     List<CompanyDTO> getByCodes(Collection<? extends Serializable> codes);
     CompanyDTO getByCode(String code) ;
     List<CompanyDTO> getAll() ;
}
